Skip to main content
GET
/
v1
/
asset
/
history
Get asset history
curl --request GET \
  --url https://api.orderly.org/v1/asset/history \
  --header 'orderly-account-id: <orderly-account-id>' \
  --header 'orderly-key: <orderly-key>' \
  --header 'orderly-signature: <orderly-signature>' \
  --header 'orderly-timestamp: <orderly-timestamp>'
{
  "success": true,
  "data": {
    "meta": {
      "total": 9,
      "records_per_page": 25,
      "current_page": 1
    },
    "rows": [
      {
        "id": "230707030600002",
        "tx_id": "0x4b0714c63cc7abae72bf68e84e25860b88ca651b7d27dad1e32bf4c027fa5326",
        "side": "WITHDRAW",
        "token": "USDC",
        "amount": 555,
        "fee": 0,
        "trans_status": "FAILED",
        "created_time": 1688699193034,
        "updated_time": 1688699193096,
        "chain_id": "986532"
      }
    ]
  },
  "timestamp": 1702989203989
}

Headers

orderly-timestamp
string
required

Timestamp of the signed request in milliseconds.

orderly-account-id
string
required

Account ID of the authenticated account.

orderly-key
string
required

Public orderly key used to sign the request.

orderly-signature
string
required

Signature of the request payload generated with the orderly key.

Query Parameters

token
string

Filter results to a specific token symbol.

side
string

Filter by transfer direction: DEPOSIT or WITHDRAW.

status
string

Filter by transfer status. Supported values: NEW, CONFIRM, PROCESSING, COMPLETED, FAILED, PENDING_REBALANCE.

start_t
number

Filter results created at or after this timestamp in milliseconds.

end_t
number

Filter results created at or before this timestamp in milliseconds.

page
number

Page number to return. Starts from 1.

size
number

Number of records to return per page.

Response

200 - application/json

OK

success
boolean
required

Indicates whether the request was successful.

Example:

true

data
object
required
timestamp
integer

Server timestamp in milliseconds.

Example:

1702989203989